/**********************************************************************
 *	This file contains the functions handleing functions.  The two 
 *	functions which are in this file handle the menu choices, and 
 *	decides where to direct them.
 **********************************************************************/

#include "Creator Changer.h"
#include "Creator Changer.choices.h"



/**********************************************************************
 *	Function Handle_Apple_Choice(), this function decides what item 
 *	to execute under the apple menu.
 **********************************************************************/

void Handle_Apple_Choice(int the_item)
	{
	
	Str32 desk_acc_name;
	int desk_acc_number;
	
	switch(the_item)
		{
		case A_ABOUT_ITEM:
			Alert(ABOUT_DLOG_ID, NIL_PTR);
			break;
		default:
			GetItem(Apple_Menu, the_item, desk_acc_name);
			desk_acc_number=OpenDeskAcc(desk_acc_name);
			break;
		}
	
	}



/**********************************************************************
 *	Function Handle_Options_Choice, this function decides what item
 *	to execute under the options menu.
 **********************************************************************/

void Handle_Options_Choice(int the_item)
	{
	
	switch(the_item)
		{
		case O_OPEN_ITEM:
			if(Pick_File()) Open_Changer_DLOG();
			break;
		case O_QUIT_ITEM:
			All_Done=TRUE;
			break;
		default:
			break;
		}
	
	}